# variables.tf defines inputs for the module.

variable "project" {
  description = "Project containing the secret."
}

variable "region" {
  description = "Restrict secret to this region"
  type        = string
}

variable "secret_id" {
  description = "Secret name"
  type        = string
}

variable "secret_data" {
  description = "Payload for secret"
  type        = string
}
